Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 314221 - app-office/krita should depend on || (media-gfx/imagemagick media-gfx/graphicsmagick[imagemagick])
Summary: app-office/krita should depend on || (media-gfx/imagemagick media-gfx/graphic...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 314431
  Show dependency tree
 
Reported: 2010-04-09 21:30 UTC by Wojciech Porczyk
Modified: 2010-10-15 22:07 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wojciech Porczyk 2010-04-09 21:30:33 UTC
GraphicsMagick is a replacement for ImageMagick. Now app-office/krita depends only on media-gfx/imagemagick.
Comment 1 Andreas K. Hüttel gentoo-dev 2010-04-11 21:02:43 UTC
Actually, as far as I could find, app-office/krita-2.1.2 should depend on 
media-gfx/graphicsmagick-1.1* (and not on imagemagic at all). 

-----------------------cmake output---------------------------
   * GraphicsMagick (1.1 or higher)  <http://www.graphicsmagick.org>
     GraphicsMagick Image Processing System
     Required by the Krita GraphicsMagick filter for various file formats (including PSD, XCF). Version 1.2 is broken!
--------------------------------------------------------------

That said, according to the following blog entry the next version will need neither. 

http://blog.cberger.net/2009/11/13/the-last-bit-of-magick-dependency-is-now-gone-from-krita/
Comment 2 Andreas K. Hüttel gentoo-dev 2010-08-18 21:12:58 UTC
app-office/krita-2.2.1 (kde overlay) does not use *magick anymore.
Comment 3 Andreas K. Hüttel gentoo-dev 2010-10-15 22:06:40 UTC
2.2.2 is in tree, so this is fixed.